<?php declare(strict_types=1);

use Controllers\TaskController;
use DI\Bridge\Slim\Bridge;
use DI\Container;
use Controllers\HomeFrontController;

require_once __DIR__ . '/vendor/autoload.php';

$container = new Container();
$app = Bridge::create($container);
$app->addBodyParsingMiddleware();

$app->get('/', [HomeFrontController::class, 'home']);

$app->post('/tasks', [TaskController::class, 'addTask']);

$app->run();