<?php

namespace Interfaces;

use Models\Task;

interface TaskDao
{
    public function create(Task $task): bool;

    /**
     * Returns an array of Tasks
     * @return array
     */
    public function readAll(): array;

    public function readById($id): Task;

    public function update(Task $task): bool;

    public function delete(Task $task): bool;

}